<!DOCTYPE html>
<html lang="en">
<head>
    <title>Objeto XMLSHTTOPRequest</title>
    <script type="text/javascript">
        function enPantall(text){
            let element = document.getElementById('container');
            element.textContent = text;
        }
        function enconsola(text){
            console.log(text);
        }
    </script>
</head>
<body>
    <section id="container">
        Respuesta a petición: 
    </section>
    <script type="text/javascript">
        const req = new XMLHttpRequest();
        req.addEventListener('load', () => {
            if(req.status===200){
                enconsola(req.responseText);
                enconsola(JSON.parse(req.responseText));
                enPantall(req.responseText);
            }else{
                enconsola([req.status,req.statusText]);
            }
        });

        req.addEventListener('error', ()=>{
            enconsola('Error de red');
        });
        req.open('GET', 'http://jsonplaceholder.typicode.com/albums', true);
        req.send(null);
    </script>
</body>
</html>